Create a new preset

Creates a new preset with the provided configuration details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

    def warn_baz(self, value):
        ...

    def warn(self, attrs):
        ....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
    foo = NestedSerializer()
    bar = serializers.CharField()

    def warn_bar(self, value):
        ...

    def warn(self, attrs):
        ...

content
object
required

The content of the preset, represented as a JSON object. The structure of this object depends on the type of preset being created.

date-time | null

The date and time the object was first created

integer | null

The unique identifier of the advertiser that owns the preset

boolean
required

Indicates whether the preset is active or not.

string
enum
required
  • campaign - Campaign
  • line_item - Line Item
  • targeting_expression - Targeting Expression
Allowed:
string
required
length ≤ 191

The descriptive name of the preset, e.g. "Spring lead generation"

string | null

An ID that may be used for any reporting or administrative purpose. Limited to 200 characters.

string | null

Free-form notes of up to 255 characters.

integer
required

Defaults to the account in the active session

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Invalid preset data provided.

500

Internal server error.

Language
Credentials
:
URL
LoadingLoading…
Response
Choose an example:
application/json